#!/usr/bin/env node

var dns = require("dns");
var Miner = require("./js/miner");

var domain = "stratum.slushpool.com"
var port = 3333;

async function main() {
	dns.lookup(domain, async (err, ip) => {
		if (err) throw err;

		var m = new Miner(ip, port, "/dev/ttyACM0", 115200);
		try {
			await m.connect();
			await m.auth("mort96.worker1", "test");
		} catch (err) {
			console.log(err);
			process.exit(1);
		}
	});
}
main();
